
package myutils;

import java.io.Closeable;

/**
 * @author R. Diez
 */
public class FileUtils
{
    public static void closeIgnoreErrors ( Closeable closeableObj )
    {
        assert( closeableObj != null ) : ErrUtils.assertionFailed();

        try
        {
            closeableObj.close();
        }
        catch ( Throwable ex )
        {
            // Ignore any errors here. Assertions should only be active for debug builds.
            assert false : ErrUtils.assertionFailed();
        }
    }

}
