module test_simpleOddGate;

	reg a, b, c, expectedOdd, expected;
	wire d, e;
	
	simpleOddGate testObj(.FirstForOdd(a), .SecondForOdd(b), .ThirdForOdd(c), .AfterBuffer(d), .AfterOdd(e));
	
	initial 
	begin	
		$display("Testen van de simpleOddGate.");
		#0 a= 0; b= 0; c=0; expectedOdd= 1; expected= 1;
		#10 a= 0; b= 0; c=1; expectedOdd= 0; expected= 0;
		#10 a= 0; b= 1; c=1; expectedOdd= 1; expected= 1;
		#10 a= 0; b= 1; c=0; expectedOdd= 0; expected= 0;
		#10 a= 1; b= 0; c=0; expectedOdd= 0; expected= 0;
		#10 a= 1; b= 1; c=0; expectedOdd= 1; expected= 1;
		#10 a= 1; b= 1; c=1; expectedOdd= 0; expected= 0;
		
	end
	
	initial
	begin
		$dumpfile("test.lxt");
		$dumpvars(0,test_simpleOddGate);
	end
endmodule 
