module test_simpleSplitter7;

	reg [1:0] a, c;
	reg [0:0] b, expectedOut1, expectedOut2, expectedOut3;
	reg [4:0] expectedOut4;
	wire [0:0] d, e, f;
	wire [4:0] g;

	simpleSplitter7 testObj(.in1(a), .in2(b), .in3(c), .out1(d), .out2(e), .out3(f), .out4(g));

	initial 
	begin	
		$display("Testen van de simpleSplitter7.");
		#0 a= 2'b 00; b= 1'b 0; c= 2'b 00; expectedOut1= 1'b 0; expectedOut2= 1'b z; expectedOut3= 1'b 0; expectedOut4= 5'b z00z0;
		#10 a= 2'b 0x; b= 1'b x; c= 2'b 00; expectedOut1= 1'b x; expectedOut2= 1'b z; expectedOut3= 1'b 0; expectedOut4= 5'b z00zx;
		#10 a= 2'b 10; b= 1'b 1; c= 2'b 10; expectedOut1= 1'b 0; expectedOut2= 1'b z; expectedOut3= 1'b 1; expectedOut4= 5'b z10z1;
		#10 a= 2'b 11; b= 1'b 0; c= 2'b 11; expectedOut1= 1'b 1; expectedOut2= 1'b z; expectedOut3= 1'b 1; expectedOut4= 5'b z11z0;
		#20;
		
	end
	
	initial
	begin
		$dumpfile("test.lxt");
		$dumpvars(0,test_simpleSplitter7);
	end
endmodule 