module bitExtenderTypeinputInBit4OutBit8(out0, in0, in1);
	output reg [7:0] out0; 
	input [3:0] in0; 
	//The extra input
	input [0:0] in1;
	//The temporary registers 
	wire [3:0] tmpZero, tmpOne, tmpX, tmpZ;
	//The definition of the temporary registers
	assign tmpZero = 4'b 0000;
	assign tmpOne = 4'b 1111;
	assign tmpZ = 4'b zzzz;
	assign tmpX = 4'b xxxx;
	always @(in0 or in1)
	begin
		if (in1 === 1'b 1)
		begin
			out0 = {tmpOne, in0};
		end
		else if (in1 === 1'b 0)
		begin
			out0 = {tmpZero, in0};
		end
		else if (in1 === 1'b z)
		begin
			out0 = {tmpZ, in0};
		end
		else
		begin
			out0 = {tmpX, in0}; 
		end
	end
endmodule