module pullResistor0Bits5(out0, in0);
	output wire [4:0] out0; 
	input [4:0] in0; 
	wire [0:0] tmp0, tmp1, tmp2, tmp3, tmp4;
	//Use gates that are defined for width 1 bit
	pullResistor0 a0(tmp0, in0[0:0]);
	pullResistor0 a1(tmp1, in0[1:1]);
	pullResistor0 a2(tmp2, in0[2:2]);
	pullResistor0 a3(tmp3, in0[3:3]);
	pullResistor0 a4(tmp4, in0[4:4]);
	//Combine the 1 widht bits into a multy width bit
	assign out0 = {tmp4, tmp3, tmp2, tmp1, tmp0};
endmodule