module shiftRegisterTypefallingNumber6(out0, in0, in1, in2, in3);
	output reg [0:0] out0; 
	input [0:0] in0; 
	//The extra input (clock, reset, shift)
	input[0:0] in1, in2, in3;
	//The clock input is equal to in1 and has to be a wire
	wire in1;
	reg [0:0] tmp0, tmp1, tmp2, tmp3, tmp4, tmp5;
	initial
	begin
		out0 = 1'b 0;
		tmp0 = 1'b 0;
		tmp1 = 1'b 0;
		tmp2 = 1'b 0;
		tmp3 = 1'b 0;
		tmp4 = 1'b 0;
		tmp5 = 1'b 0;
	end
	always @(negedge in1)
	begin
		//We can only shift the register if reset is different from 1 and the shift input is different from 0
		if (in2 !== 1'b 1 & in3 !== 1'b 0)
		begin
			tmp5 = tmp4;
			tmp4 = tmp3;
			tmp3 = tmp2;
			tmp2 = tmp1;
			tmp1 = tmp0;
			tmp0 = in0;
			out0 = tmp5;
		end
	end
	always @(in2)
	begin
		//If the reset input is on
		if (in2 === 1'b 1)
		begin
			out0 = 1'b 0;
			tmp0 = 1'b 0;
			tmp1 = 1'b 0;
			tmp2 = 1'b 0;
			tmp3 = 1'b 0;
			tmp4 = 1'b 0;
			tmp5 = 1'b 0;
		end
	end
endmodule