module simpleCarryArithmetic3(carryOrBorrw, inputNoOutputAdder, higherBitInputDivider, secondInputMultiplier, lowerInputDivider, divisorInput, outputDivider, outputSubtractor, collideOutputCarryOrBorrow, outputAdder, outputMultiplier, extraOutputDivider, extraOutputMultiplier, outputOfNotTranslatedDivider);
	input [0:0] carryOrBorrw;
	input [4:0] inputNoOutputAdder;
	input [7:0] higherBitInputDivider;
	input [7:0] secondInputMultiplier;
	input [7:0] lowerInputDivider;
	input [7:0] divisorInput;
	output [7:0] outputDivider;
	output [7:0] outputSubtractor;
	output [0:0] collideOutputCarryOrBorrow;
	output [7:0] outputAdder;
	output [7:0] outputMultiplier;
	output [7:0] extraOutputDivider;
	output [7:0] extraOutputMultiplier;
	output [7:0] outputOfNotTranslatedDivider;
	wire [7:0]wire1;
	wire [7:0]wire2;
	wire [7:0]wire3;
	wire [0:0]wire4;
	wire [0:0]wire5;
	wire [7:0]wire6;
	wire [0:0]wire7;
	wire [7:0]wire8;
	wire [7:0]wire9;
	wire [7:0]wire10;
	assign outputDivider = wire1;
	assign outputSubtractor = wire6;
	assign collideOutputCarryOrBorrow = wire5;
	assign outputAdder = wire3;
	assign outputMultiplier = wire9;
	assign extraOutputDivider = wire2;
	assign extraOutputMultiplier = wire10;
	assign outputOfNotTranslatedDivider = wire8;
	dividerBits8 carryArithmetic0(.in0(lowerInputDivider), .in1(divisorInput), .in2(higherBitInputDivider), .out0(wire1), .out1(wire2)); 
	adderBits8 carryArithmetic2(.in0(wire9), .in1(wire2), .in2(carryOrBorrw), .out0(wire3), .out1(wire4)); 
	subtractorBits8 carryArithmetic3(.in0(lowerInputDivider), .in1(wire1), .in2(carryOrBorrw), .out0(wire6), .out1(wire7)); 
	assign wire8 = 8'b xxxxxxxx; 
	multiplierBits8 carryArithmetic5(.in0(wire2), .in1(secondInputMultiplier), .in2(wire6), .out0(wire9), .out1(wire10)); 
	assign wire5 = wire4;
	assign wire5 = wire7;
endmodule
