module simpleFlipFlop2(firstInput, enableInput, setInput, secondInput, resetInput, SRRising2, DFalling, DFalling2, SRHigh2, JKFalling2, TRising, JKFalling, SRRising, SRHigh, DLow2, TRising2, DLow);
	input [0:0] firstInput;
	input [0:0] enableInput;
	input [0:0] setInput;
	input [0:0] secondInput;
	input [0:0] resetInput;
	reg [0:0] clockje;
	output [0:0] SRRising2;
	output [0:0] DFalling;
	output [0:0] DFalling2;
	output [0:0] SRHigh2;
	output [0:0] JKFalling2;
	output [0:0] TRising;
	output [0:0] JKFalling;
	output [0:0] SRRising;
	output [0:0] SRHigh;
	output [0:0] DLow2;
	output [0:0] TRising2;
	output [0:0] DLow;
	wire [0:0]wire1;
	wire [0:0]wire2;
	wire [0:0]wire3;
	wire [0:0]wire4;
	wire [0:0]wire5;
	wire [0:0]wire6;
	wire [0:0]wire7;
	wire [0:0]wire8;
	wire [0:0]wire9;
	wire [0:0]wire10;
	wire [0:0]wire11;
	wire [0:0]wire12;
	assign SRRising2 = wire3;
	assign DFalling = wire4;
	assign DFalling2 = wire5;
	assign SRHigh2 = wire6;
	assign JKFalling2 = wire7;
	assign TRising = wire8;
	assign JKFalling = wire9;
	assign SRRising = wire10;
	assign SRHigh = wire11;
	assign DLow2 = wire2;
	assign TRising2 = wire12;
	assign DLow = wire1;
	dFlipFlopTypefalling flipflop0(.in0(firstInput), .in1(clockje), .in2(resetInput), .in3(enableInput), .in4(setInput), .out1(wire5), .out0(wire4)); 
	jkFlipFlopTypefalling flipflop1(.in0(secondInput), .in1(clockje), .in2(resetInput), .in3(enableInput), .in4(setInput), .in5(firstInput), .out1(wire7), .out0(wire9)); 
	srFlipFlopTypehigh flipflop2(.in0(secondInput), .in1(clockje), .in2(resetInput), .in3(enableInput), .in4(setInput), .in5(firstInput), .out1(wire6), .out0(wire11)); 
	dFlipFlopTypelow flipflop3(.in0(firstInput), .in1(clockje), .in2(resetInput), .in3(enableInput), .in4(setInput), .out1(wire2), .out0(wire1)); 
	srFlipFlopTyperising flipflop4(.in0(secondInput), .in1(clockje), .in2(resetInput), .in3(enableInput), .in4(setInput), .in5(firstInput), .out1(wire3), .out0(wire10)); 
	tFlipFlopTyperising flipflop5(.in0(firstInput), .in1(clockje), .in2(resetInput), .in3(enableInput), .in4(setInput), .out1(wire12), .out0(wire8)); 
	initial 
	begin
		clockje = 0;
	end
	always 
	begin
		#10 clockje = 1; 
		#10 clockje = 0; 
	end
endmodule
