module simplePlexer3(selectSel, inputSel, inputDmx, outputDmx0, outputSel, outputDec0, outputDec3, outputDmx1);
	input [1:0] selectSel;
	input [7:0] inputSel;
	input [0:0] inputDmx;
	output [0:0] outputDmx0;
	output [1:0] outputSel;
	output [0:0] outputDec0;
	output [0:0] outputDec3;
	output [0:0] outputDmx1;
	wire [0:0]wire1;
	wire [1:0]wire2;
	wire [0:0]wire3;
	wire [0:0]wire4;
	wire [0:0]wire5;
	assign outputDmx0 = wire1;
	assign outputSel = wire2;
	assign outputDec0 = wire3;
	assign outputDec3 = wire4;
	assign outputDmx1 = wire5;
	demultiplexerBits1Select1Floating plexer0(.in1(wire3), .in0(inputDmx), .out0(wire1), .out1(wire5)); 
	bitSelectorBits8Output2 plexer1(.in1(selectSel), .in0(inputSel), .out0(wire2)); 
	decoderBits1Select2 plexer2(.in0(wire2), .out0(wire3), .out3(wire4)); 
endmodule
