module simplePullResistor3(inNot, inCol2, in3, inBuf, inCol1, out3, outCol, outBuf, outNot, outDmx, out2, out1, outEmpty);
	input [0:0] inNot;
	input [2:0] inCol2;
	input [0:0] in3;
	input [0:0] inBuf;
	input [2:0] inCol1;
	output [0:0] out3;
	output [2:0] outCol;
	output [0:0] outBuf;
	output [0:0] outNot;
	output [0:0] outDmx;
	output [0:0] out2;
	output [0:0] out1;
	output [4:0] outEmpty;
	wire [4:0]wire1;
	wire [4:0]wire2;
	wire [0:0]wire3;
	wire [0:0]wire4;
	wire [2:0]wire5;
	wire [2:0]wire6;
	wire [2:0]wire7;
	wire [0:0]wire8;
	wire [0:0]wire9;
	wire [0:0]wire10;
	wire [2:0]wire11;
	wire [0:0]wire12;
	wire [0:0]wire13;
	wire [0:0]wire14;
	wire [0:0]wire15;
	assign out3 = wire9;
	assign outCol = wire5;
	assign outBuf = wire4;
	assign outNot = wire15;
	assign outDmx = wire13;
	assign out2 = wire8;
	assign out1 = wire10;
	assign outEmpty = wire2;
	assign wire15 =  ~wire14; //logisimName: gate0
	bufferGateBits1 gate1(wire3, inBuf); //logisimName: gate1
	assign wire1 = 5'b zzzzz;
	assign wire12 = 1'b z;
	pullResistor0Bits5 pullTo0Resistor1(wire2, wire1);
	pullResistorXBits1 pullToXResistor2(wire4, wire3);
	pullResistorXBits3 pullToXResistor3(wire6, wire5);
	pullResistorXBits3 pullToXResistor4(wire7, inCol2);
	assign wire5 = wire7;
	pullResistor1Bits1 pullTo1Resistor6(wire8, in3);
	pullResistor1Bits1 pullTo1Resistor7(wire9, in3);
	pullResistor1Bits1 pullTo1Resistor8(wire10, in3);
	pullResistorXBits3 pullToXResistor9(wire11, inCol1);
	assign wire5 = wire11;
	pullResistor0Bits1 pullTo0Resistor11(wire13, wire12);
	pullResistor0Bits1 pullTo0Resistor12(wire14, inNot);
endmodule
