#!/usr/bin/env python3

from translator.intermediateBuilder.annotated.annotatedFlipFlop import AnnotatedFlipFlop

class AnnotatedOneInputFlipFlop(AnnotatedFlipFlop):
	""" AnnotatedOneInputFlipFlop is the annotated version of a flipflop with only one input """
	
	def __init__(self, flipflop, coordinates):
		""" Constructor """
		AnnotatedFlipFlop.__init__(self, flipflop, coordinates)	
		self.clockInputCoordinate = (coordinates[0]-40, coordinates[1])