#!/usr/bin/env python3

from translator.intermediateBuilder.annotated.annotatedShiftRegister import AnnotatedShiftRegister

class AnnotatedStandardShiftRegister(AnnotatedShiftRegister):
	""" AnnotatedStandardShiftRegister is the annotated version of the standard (normal) shift register """
	
	def __init__(self, reg, coordinates):
		""" Constructor """
		AnnotatedShiftRegister.__init__(self, reg, coordinates)	
		#The coordinates specified in the xml tree are the coordinates of the input, we still have to calculate the output coordinates
		self.coordinates = (coordinates[0]+30, coordinates[1])
		