#!/usr/bin/env python3

from  translator.intermediateBuilder.plexerNode import PlexerNode

class BitSelector(PlexerNode):
	""" Given an input of several bits, this will divide it into several equal-sized groups and output the group selected by the select input """
	
	def __init__(self):
		""" Constructor """
		PlexerNode.__init__(self)	
		self.outputBit = 1
		#When we have a bitSelector, the default width isn't 1 anymore but 8 
		self.bits = 8
		self.inputWire = None 
