#!/usr/bin/env python3

from translator.intermediateBuilder.element import Element

class Circuit(Element):
	""" Circuit is a path between two or more points along which an electrical current can be carried """
	
	def __init__(self, name = "", mainCircuit = False):
		""" Constructor """
		Element.__init__(self, name)
		self.connectionList = []
		self.nodeList = []
		self.mainCircuit = mainCircuit

	def getAllElementsViaOuputConnected(self):			
		""" Gives all the elements back that are connected through a wire """
		return []
