#!/usr/bin/env python3

from translator.intermediateBuilder.element import Element

class Connection(Element):
	""" A Connection carries values from one endpoint to another """
	
	def __init__(self, name = "", direction= None):
		""" Constructor """
		Element.__init__(self, name)
		self.start = None
		self.end = None
		self.direction = direction		

	def getAllElementsViaOuputConnected(self):		
		""" Overwrites the parent function (but has the same meaning) """
		list = []
		end = self.end
		while end != None and isinstance(end, Connection):
			end = end.end
		if end != None:
			list.append(end)
		return list
		
		