#!/usr/bin/env python3

from translator.intermediateBuilder.node import Node

class DisplayNode(Node):
	""" Display node display their contents (will not be translated to verilog) """
	
	def __init__(self, onColor, offColor, dataBits = 1):
		""" Constructor """
		Node.__init__(self, dataBits)	
		self.color = onColor
		self.offColor = offColor
		self.inputWires = []