#!/usr/bin/env python3

from translator.intermediateBuilder.displayNode import DisplayNode

class HexDigitDisplay(DisplayNode):
	""" Using a seven-segment display, shows the hexadecimal digit corresponding to the four-bit input """
	
	def __init__(self):
		""" Constructor """
		DisplayNode.__init__(self, "#f00000", "#dcdcdc", 1)	
		self.numberInputWire = None
		self.pointInputWire = None
		self.backGround = "#ffff00"	
		