#!/usr/bin/env python3

from translator.intermediateBuilder.node import Node

class PlexerNode(Node):
	""" A generic class for the plexer nodes (purpose is generally for routing values) """	
	
	def __init__(self, dataBits = 1, selectBits = 1):
		""" Constructor """
		Node.__init__(self, dataBits)	
		self.selectBits = selectBits
		self.selectLine = None 
		self.enableLine = None
		self.disabled = None
