#!/usr/bin/env python3

from translator.intermediateBuilder.largeMemory import LargeMemory

class Ram(LargeMemory):
	""" The circuit can load and store values in RAM """
	
	def __init__(self):
		""" Constructor """
		LargeMemory.__init__(self)	
		#Selects whether the RAM should emit the value 
		self.loadInputWire = None
		#Depends on which data interface we have, but sometimes we have an extra input wire
		self.storeInputWire = None
		#The value read from this port is stored whenever a store is requested	
		self.dataInputWire = None
		self.dataInterface = "synch"