#!/usr/bin/env python3

from translator.intermediateBuilder.memoryNode import MemoryNode

class Random(MemoryNode):
	""" Random iterates through a pseudorandom sequence of numbers, 
	which steps forward to the following number in the sequence each time the clock is triggered while the component is enabled """
	
	def __init__(self):
		""" Constructor """
		MemoryNode.__init__(self, 8)	
		self.enableInputWire = None
		#The seed for the random generator
		self.seed = 0