from translator.visitor.DEVSlibrary.Helpers import *

class InteractiveInput(Helpers):
	def __init__(self, inputs, delay, bitlist):
		Helpers.__init__(self, 1, "interactiveInput", delay, [], inputs, [])
		self.outbitlist = bitlist

	def generateExtTransition(self):
		# This should never happen...
		string = "\tdef extTransition(self):\n"
		string += "\t\tpass\n"
		return string

	def generateTimeAdvance(self):
		string = "\tdef timeAdvance(self):\n"
		string += "\t\treturn " + str(self.delay) + "\n"
		return string
		

	def generateIntTransition(self):
		string = "\tdef intTransition(self):\n"
		string += "\t\treturn " + str(self.name) + "State(True)\n"
		return string

	def write(self):
		string = self.generateHeader()
		string += self.generateState()
		string += self.generateClassBase()
		string += self.generateTimeAdvance()
		string += self.generateExtTransition()
		string += self.generateIntTransition()
		string += "\tdef outputFnc(self):\n"
		if len(self.outputs) > 0:
			string += "\t\tprint('Interactive input required:')\n"
		for i in self.outputs:
			string += "\t\tdata = raw_input('" + str(i) + ": ')\n"
			string += "\t\tself.poke(self." + str(i) + ", 'b' + data)\n"
		return string
