from translator.visitor.DEVSlibrary.Helpers import *

class Null(Helpers):
	def __init__(self, bitSize, delay, inputs, outputs):
		""" The basic constructor of the model, name should be unique for the Model's configuration """
		Helpers.__init__(self, bitSize, "Null" + str(bitSize), delay, inputs, outputs, [bitSize])
		self.outbitlist = [bitSize]

	def generateOutputFnc(self):
		""" The output function for the model, this is the main part of the Model """
		string = "\tdef outputFnc(self):\n"
		string += "\t\tif self.state." + self.inputs[0] + " != 'None':\n"
		string += "\t\t\tself.poke(self." + self.outputs[0] + ", 'b' + self.state." + self.inputs[0] + ")\n"
		return string
