#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.node import Node

class Memory(Node):
	""" Memory corresponds to the MemoryNode of the intermediate tree """
	
	def __init__(self, name, type):
		""" Constructor """
		Node.__init__(self, name)	
		self.trigger = type
		self.input = None
		self.clockInput = None
		self.resetInput = None
		self.output	= None
