#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.ram import Ram

class StandardRam(Ram):
	""" StandardRam corresponds to the Ram of the intermediate tree, with one synchronous or asynchronous load/store port """
	
	def __init__(self, name, hasClock, extraNames):
		""" Constructor """
		Ram.__init__(self, name, extraNames)	
		self.hasClock = hasClock
