module test_andOrNandNot;

	reg [1:0] a, b, c, expectedAnd, expectedOr, expectedNot, expected;
	wire [1:0] d, e, f, g;
	
	andOrNandNot testObj(.InputOr(a), .negatedInput(b), .ThirdInput(c), .outputNot(d), .outputOr(e), .outputAnd(f), .output3(g));
	
	initial 
	begin	
		$display("Testen van de andOrNandNot.");
		#0 a= 0; b= 0; c=0; expectedAnd= 0; expectedOr= 0; expectedNot= 3; expected= 3;
		#10 a= 3; b= 2; c=0; expectedAnd= 1; expectedOr= 3; expectedNot= 0; expected= 3;
		#10 a= 2; b= 2; c=1; expectedAnd= 0; expectedOr= 2; expectedNot= 1; expected= 2;
		#10 a= 2; b= 3; c=2; expectedAnd= 0; expectedOr= 2; expectedNot= 1; expected= 3;
		#10 a= 2; b= 1; c=2; expectedAnd= 2; expectedOr= 2; expectedNot= 1; expected= 3;
		#10 a= 2; b= 1; c=0; expectedAnd= 2; expectedOr= 2; expectedNot= 1; expected= 3;
		
	end
	
	initial
	begin
		$dumpfile("test.lxt");
		$dumpvars(0,test_andOrNandNot);
	end
endmodule 
