module test_noneCompletePlexers;
	
	reg a, b, c, d, expectedSecondOutputDmxWithoutInput, expectedOutWithoutInputMult, expectedOutputSelWithoutInput, expectedFirstOutputDmxWithoutInput;
	reg [7:0] e;
	reg [2:0] f;
	reg [1:0] expectedOutputSelWithoutSel;
	wire g, h, j, k;
	wire[1:0] i;
	
	noneCompletePlexers testObj(.selectMux(a), .NoMeaningInputMux(b), .selectDemux(c), .NoMeaningInputDec(d), .inputSelWithoutSelect(e), 
								.selectInputSel(f), .secondOutputDmxWithoutInput(g), .outWithoutInputMult(h), .outputSelWithoutSel(i), 
								.outputSelWithoutInput(j), .firstOutputDmxWithoutInput(k));
	
	initial 
	begin	
		$display("Testen van de noneCompletePlexers.");
		#0 a= 0; expectedOutWithoutInputMult= 1'b z; b= 0; c= 0; expectedFirstOutputDmxWithoutInput= 1'b z; expectedSecondOutputDmxWithoutInput= 0; d= 0; e= 0; expectedOutputSelWithoutSel= 2'b zz; f= 0; expectedOutputSelWithoutInput= 1'b z;
		#10 a= 1; expectedOutWithoutInputMult= 1'b z; b= 1; c= 1; expectedFirstOutputDmxWithoutInput= 0; expectedSecondOutputDmxWithoutInput= 1'b z; d= 1; e= 5; expectedOutputSelWithoutSel= 2'b zz; f= 2; expectedOutputSelWithoutInput= 1'b z;
		#20;
	end
	
	initial
	begin
		$dumpfile("test.lxt");
		$dumpvars(0,test_noneCompletePlexers);
	end
endmodule 
