module test_simpleImportedCircuits4;

	reg [0:0] a, b, expectedAnd, expectedNot;
	wire [0:0] c, d;

	simpleImportedCircuits4 testObj(.inCircAnd(a), .in2CircAnd(b), .outCircNot(c), .outCircAnd(d));
	
	initial 
	begin	
		$display("Testen van de simpleImportedCircuits4.");
		#0 a= 1'b 0; b= 1'b 0; expectedAnd= 1'b 0; expectedNot= 1'b 1;
		#10 a= 1'b 1; b= 1'b 0; expectedAnd= 1'b 1; expectedNot= 1'b 1;
		#10 a= 1'b 1; b= 1'b 1; expectedAnd= 1'b 0; expectedNot= 1'b 1;
		#10 a= 1'b 0; b= 1'b 1; expectedAnd= 1'b 0; expectedNot= 1'b 1;
		#10 a= 1'b z; b= 1'b 1; expectedAnd= 1'b 0; expectedNot= 1'b 1;
		#10 a= 1'b x; b= 1'b 0; expectedAnd= 1'b x; expectedNot= 1'b 1;
		#10 a= 1'b x; b= 1'b x; expectedAnd= 1'b x; expectedNot= 1'b 1;
		#20;
		
	end
	
	initial
	begin
		$dumpfile("test.lxt");
		$dumpvars(0,test_simpleImportedCircuits4);
	end
endmodule 