module bitfinderBits6TypehighNumber1(out0, out1, in0);
	output reg [2:0] out0; 
	input [5:0] in0; 
	//The extra output (find)
	output reg [0:0] out1; 
	always @(in0)
	begin
		//If the input is floating or error 
		if (in0 == 6'b zzzzzz | in0 == 6'b xxxxxx)
		begin
			out0 = 6'b xxxxxx;
			out1 = 1'b x; 
		end
		//Find the position of the highest 1 (if we come across a floating bit first, the output will also be floating)
		else if (in0[5] !== 1'b 0)
		begin
			out0 = (in0[5] === 1) ? 5 : 6'b xxxxxx;
			out1 = (in0[5] === 1) ? 1'b 1 : 1'b x;
		end
		else if (in0[4] !== 1'b 0)
		begin
			out0 = (in0[4] === 1) ? 4 : 6'b xxxxxx;
			out1 = (in0[4] === 1) ? 1'b 1 : 1'b x;
		end
		else if (in0[3] !== 1'b 0)
		begin
			out0 = (in0[3] === 1) ? 3 : 6'b xxxxxx;
			out1 = (in0[3] === 1) ? 1'b 1 : 1'b x;
		end
		else if (in0[2] !== 1'b 0)
		begin
			out0 = (in0[2] === 1) ? 2 : 6'b xxxxxx;
			out1 = (in0[2] === 1) ? 1'b 1 : 1'b x;
		end
		else if (in0[1] !== 1'b 0)
		begin
			out0 = (in0[1] === 1) ? 1 : 6'b xxxxxx;
			out1 = (in0[1] === 1) ? 1'b 1 : 1'b x;
		end
		else if (in0[0] !== 1'b 0)
		begin
			out0 = (in0[0] === 1) ? 0 : 6'b xxxxxx;
			out1 = (in0[0] === 1) ? 1'b 1 : 1'b x;
		end
		else
		begin
			out0 = 3'b 0;
			out1 = 1'b 0;
		end
	end
endmodule