module collidingWires(ThirdInput, FourthInput, SecondInput, inputFirst, beforeNotOutput, afterNotGate, Outputi);
	input [0:0] ThirdInput;
	input [0:0] FourthInput;
	input [1:0] SecondInput;
	input [1:0] inputFirst;
	output [1:0] beforeNotOutput;
	output [0:0] afterNotGate;
	output [1:0] Outputi;
	wire [0:0]wire1;
	wire [1:0]wire2;
	wire [1:0]wire3;
	wire [1:0]wire4;
	wire [1:0]wire5;
	wire [1:0]wire6;
	wire [1:0]wire7;
	assign beforeNotOutput = wire3;
	assign afterNotGate = wire1;
	assign Outputi = wire7;
	assign wire1 =  ~ThirdInput; //logisimName: notGate
	controlledBufferGateBits2 firstBuffer(wire2, inputFirst, wire1); //logisimName: firstBuffer
	controlledBufferGateBits2 SecondBuffer(wire5, SecondInput, FourthInput); //logisimName: SecondBuffer
	controlledInverterGateBits2 inverter(wire6, SecondInput, ThirdInput); //logisimName: inverter
	assign wire7 =  ~wire4; //logisimName: gateNotOutput
	assign wire3 = wire2;
	assign wire4 = wire2;
	assign wire3 = wire5;
	assign wire4 = wire5;
	assign wire3 = wire6;
	assign wire4 = wire6;
endmodule
