module multiplexerBits16Select1enablefloating(out0, in0, in1, in2, in3);
	output reg [15:0] out0; 
	input [15:0] in0, in1; 
	//The select line 
	input[0:0] in2; 
	//The enable line 
	input[0:0] in3; 
	initial
	begin
		out0 = 16'b zzzzzzzzzzzzzzzz;
	end
	always @(in0 or in1 or in2 or in3)
	begin
		if (in3 === 1'b0)
		begin
			out0 = 16'b zzzzzzzzzzzzzzzz; 
		end
		//Which of the inputs to copy to the output is specified via the current value received through the select line 
		if (in2 === 0) 
		begin 
			out0 = in0; 
		end 
		else if (in2 === 1) 
		begin 
			out0 = in1; 
		end 
		else 
		begin 
			out0 = 16'b zzzzzzzzzzzzzzzz; 
		end 
	end
endmodule