module multiplexerBits2Select2(out0, in0, in1, in2, in3, in4);
	output reg [1:0] out0; 
	input [1:0] in0, in1, in2, in3; 
	//The select line 
	input[1:0] in4; 
	initial
	begin
		out0 = 2'b zz;
	end
	always @(in0 or in1 or in2 or in3 or in4)
	begin
		//Which of the inputs to copy to the output is specified via the current value received through the select line 
		if (in4 === 0) 
		begin 
			out0 = in0; 
		end 
		else if (in4 === 1) 
		begin 
			out0 = in1; 
		end 
		else if (in4 === 2) 
		begin 
			out0 = in2; 
		end 
		else if (in4 === 3) 
		begin 
			out0 = in3; 
		end 
		else 
		begin 
			out0 = 2'b zz; 
		end 
	end
endmodule