module part1Splitter0(bigWire, smallWire0, smallWire1, smallWire2);
	inout [1:0] bigWire;
	inout[0:0] smallWire0;
	inout[0:0] smallWire1;
	inout[0:0] smallWire2;
	//The temporary wires
	wire [0:0] bigTmpWire0, smallTmpWire0, bigTmpWire1, smallTmpWire1;
	//The assignment of the bigWire to the tmp wires
	assign bigTmpWire0 = bigWire[0];
	assign bigTmpWire1 = bigWire[1];
	tran t(bigTmpWire0, smallTmpWire0);
	tran t(bigTmpWire1, smallTmpWire1);
	assign smallWire0 = {smallTmpWire0};
	assign smallWire1 = 1'b z;
	assign smallWire2 = {smallTmpWire1};
endmodule