module part1Splitter7(bigWire, smallWire0, smallWire1);
	inout [1:0] bigWire;
	inout[0:0] smallWire0;
	inout[0:0] smallWire1;
	//The temporary wires
	wire [0:0] bigTmpWire0, smallTmpWire0, bigTmpWire1, smallTmpWire1;
	//The assignment of the bigWire to the tmp wires
	assign bigTmpWire0 = bigWire[0];
	assign bigTmpWire1 = bigWire[1];
	tran t(bigTmpWire0, smallTmpWire0);
	tran t(bigTmpWire1, smallTmpWire1);
	assign smallWire0 = {smallTmpWire0};
	assign smallWire1 = {smallTmpWire1};
endmodule