module part2Splitter2(bigWire, smallWire0, smallWire1);
	inout [4:0] bigWire;
	inout[0:0] smallWire0;
	inout[1:0] smallWire1;
	//The temporary wires
	wire [0:0] bigTmpWire0, smallTmpWire0, bigTmpWire1, smallTmpWire1, bigTmpWire2, smallTmpWire2, bigTmpWire3, smallTmpWire3, bigTmpWire4, smallTmpWire4;
	//The assignment of the smallWires to the tmp wires
	assign smallTmpWire0 = smallWire0[0];
	assign smallTmpWire2 = smallWire1[0];
	assign smallTmpWire3 = smallWire1[1];
	assign smallTmpWire1 = 1'b z;
	assign smallTmpWire4 = 1'b z;
	tran t(bigTmpWire0, smallTmpWire0);
	tran t(bigTmpWire1, smallTmpWire1);
	tran t(bigTmpWire2, smallTmpWire2);
	tran t(bigTmpWire3, smallTmpWire3);
	tran t(bigTmpWire4, smallTmpWire4);
	assign bigWire = {smallTmpWire4, smallTmpWire3, smallTmpWire2, smallTmpWire1, smallTmpWire0};
endmodule