module simpleCarryArithmetic4(firstInput, input1, secondInput, extraInput, outputDiv, secondOutputDiv, secondOutputSub, outputAdd, outputMult, secondOutputMult, outputSub, secondOutputAdd);
	input [7:0] firstInput;
	input [0:0] input1;
	input [7:0] secondInput;
	input [7:0] extraInput;
	output [7:0] outputDiv;
	output [7:0] secondOutputDiv;
	output [0:0] secondOutputSub;
	output [7:0] outputAdd;
	output [7:0] outputMult;
	output [7:0] secondOutputMult;
	output [7:0] outputSub;
	output [0:0] secondOutputAdd;
	wire [0:0]wire1;
	wire [0:0]wire2;
	wire [7:0]wire3;
	wire [7:0]wire4;
	wire [7:0]wire5;
	wire [7:0]wire6;
	wire [7:0]wire7;
	wire [7:0]wire8;
	assign outputDiv = wire4;
	assign secondOutputDiv = wire3;
	assign secondOutputSub = wire1;
	assign outputAdd = wire5;
	assign outputMult = wire6;
	assign secondOutputMult = wire7;
	assign outputSub = wire8;
	assign secondOutputAdd = wire2;
	multiplierBits8 carryArithmetic0(.in0(firstInput), .in1(secondInput), .in2(extraInput), .out0(wire6), .out1(wire7)); 
	subtractorBits8 carryArithmetic1(.in0(firstInput), .in1(secondInput), .in2(input1), .out0(wire8), .out1(wire1)); 
	adderBits8 carryArithmetic2(.in0(firstInput), .in1(secondInput), .in2(input1), .out0(wire5), .out1(wire2)); 
	dividerBits8 carryArithmetic3(.in0(firstInput), .in1(secondInput), .in2(extraInput), .out0(wire4), .out1(wire3)); 
endmodule
