module simplePlexer2(SelSelect, SelInput, DmxMuxInput, afterDmx2, DecOutput2, afterSel, DecOutput0, afterMux, afterNot, afterDmx1);
	input [2:0] SelSelect;
	input [10:0] SelInput;
	input [1:0] DmxMuxInput;
	output [1:0] afterDmx2;
	output [0:0] DecOutput2;
	output [1:0] afterSel;
	output [0:0] DecOutput0;
	output [1:0] afterMux;
	output [1:0] afterNot;
	output [1:0] afterDmx1;
	wire [4:0]wire1;
	wire [1:0]wire2;
	wire [0:0]wire3;
	wire [0:0]wire4;
	wire [1:0]wire5;
	wire [1:0]wire6;
	wire [1:0]wire7;
	wire [1:0]wire8;
	assign afterDmx2 = wire6;
	assign DecOutput2 = wire4;
	assign afterSel = wire5;
	assign DecOutput0 = wire3;
	assign afterMux = wire8;
	assign afterNot = wire2;
	assign afterDmx1 = wire7;
	assign wire2 = 2'b zz; 
	assign wire1 = 5'b zzzzz;
	decoderBits1Select2Floating plexer0(.in0(wire8), .out0(wire3), .out3(wire4)); 
	bitSelectorBits11Output2 plexer1(.in1(SelSelect), .in0(SelInput), .out0(wire5)); 
	demultiplexerBits2Select5 plexer2(.in1(wire1), .in0(DmxMuxInput), .out6(wire6), .out17(wire7)); 
	multiplexerBits2Select2 plexer3(.in4(wire5), .out0(wire8), .in3(DmxMuxInput), .in2(wire5), .in1(wire6), .in0(wire7)); 
endmodule
