#!/usr/bin/env python3

from translator.intermediateBuilder.annotated.annotatedArithmetic import AnnotatedArithmetic

class AnnotatedNegator(AnnotatedArithmetic):
	""" AnnotatedNegator is the annotated version of the negator """
	
	def __init__(self, arithmetic, coordinates):
		""" Constructor """
		#Calculate the input coordinate and give it to the init of the parent
		inputCoordinate = (coordinates[0]-40, coordinates[1])
		AnnotatedArithmetic.__init__(self, arithmetic, coordinates, inputCoordinate)
		