#!/usr/bin/env python3

from translator.intermediateBuilder.annotated.annotatedConnection import AnnotatedConnection

class AnnotatedTunnel(AnnotatedConnection):
	""" AnnotatedTunnel is the annotated version of the tunnel """
	
	def __init__(self, coordinates, tunnel):
		""" Constructor """
		AnnotatedConnection.__init__(self, tunnel, None, coordinates)
	
	def __repr__(self):
		""" Representation """
		return repr((self.connection.name, self.coordinatesTo))
	