#!/usr/bin/env python3

from translator.intermediateBuilder.arithmeticWithoutCarry import ArithmeticWithoutCarry

class BitAdder(ArithmeticWithoutCarry):
	""" The Bit Adder determines how many 1 bits are in its input(s) and emits the total number of 1 bits on its output """
	
	def __init__(self):
		""" Constructor """
		ArithmeticWithoutCarry.__init__(self)	
		#The bit adder can have multiple inputs
		self.secondInputWires = []
		self.numberOfInputs = 1
