#!/usr/bin/env python3

from translator.intermediateBuilder.node import Node

class BitExtenderNode(Node):
	""" The Bit Extender transforms a value into a value of another bit width """
	
	def __init__(self, dataBits = 16):
		""" Constructor """
		Node.__init__(self, dataBits)	
		self.inputWire = None
		#this wire won't always be necesarry
		self.extraInputWire = None
		self.widthIn = 8
		self.extensionType = "zero"
