#!/usr/bin/env python3

from translator.intermediateBuilder.gateNode import GateNode

class ControlledInverterGate(GateNode):
	""" Controlled Inverter (three-state inverter), the value at the control pin affects how the component behaves """
	
	def __init__(self):
		""" Constructor """
		GateNode.__init__(self)	
		self.controlLine = None 
