#!/usr/bin/env python3

from translator.intermediateBuilder.twoInputFlipFlop import TwoInputFlipFlop

class JKFlipFlop(TwoInputFlipFlop):
	""" When the clock triggers, the value remembered by the flip-flop toggles if the J and K inputs are both 1 
	and the value remains the same if both are 0; 
	if they are different, then the value becomes 1 if the J input is 1 and 0 if the K input is 1 """
	
	def __init__(self):
		""" Constructor """
		TwoInputFlipFlop.__init__(self)	