#!/usr/bin/env python3

from translator.intermediateBuilder.displayNode import DisplayNode

class LedMatrix(DisplayNode):
	""" Displays a small grid of pixels, whose values are determined by the current inputs """
	
	def __init__(self):
		""" Constructor """
		DisplayNode.__init__(self,  "#00ff00", "#404040", 7)	
		self.inputWires = []
		self.dotShape = "square"
		self.persist = 0
		self.numberOfInputs = 5