#!/usr/bin/env python3

from translator.intermediateBuilder.node import Node

class MemoryNode(Node):
	""" Components that remember information """
	
	def __init__(self, bits):
		""" Constructor """
		Node.__init__(self, bits)	
		self.inputWire = None
		self.clockInputWire = None
		self.resetInputWire = None
		self.trigger = 'rising'
	