#!/usr/bin/env python3

from translator.intermediateBuilder.memoryNode import MemoryNode

class ShiftRegister(MemoryNode):
	""" Shift Register consists of several stages, where each clock may lead to each stage receiving the value in the previous stage, 
	while a new value is loaded into the first stage """
	
	def __init__(self):
		""" Constructor """
		MemoryNode.__init__(self, 1)	
		self.shiftInputWire = None
		self.numberOfStages = 8