#!/usr/bin/env python3

from translator.intermediateBuilder.arithmeticWithoutCarry import ArithmeticWithoutCarry

class Shifter(ArithmeticWithoutCarry):
	""" Shifter includes two inputs, data and dist, and it has one output, which is the result of shifting data by dist places """

	def __init__(self):
		""" Constructor """
		ArithmeticWithoutCarry.__init__(self)	
		self.distanceInputWire = None
		self.shiftType = ("l", "l") #Default is the shift type Logical Left 
