#!/usr/bin/env python3

from translator.intermediateBuilder.twoInputFlipFlop import TwoInputFlipFlop

class SRFlipFlop(TwoInputFlipFlop):
	""" When the clock triggers, the value remembered by the flip-flop remains unchanged if R and S are both 0, 
	becomes 0 if the R input is 1, and becomes 1 if the S input is 1 """
	
	def __init__(self):
		""" Constructor """
		TwoInputFlipFlop.__init__(self)	