#!/usr/bin/env python3

from translator.intermediateBuilder.gateNode import GateNode

class XnorGate(GateNode):
	""" The Xnor gate computes the xnor of the inputs, and emit the result on the output """
	
	def __init__(self):
		""" Constructor """
		GateNode.__init__(self)	
		#When there are multiple inputs, we only give a 1 as output, when all the input signals are false
		self.OneInputMultipleInputBehavior = True

	def isNegatedGate(self):		
		""" Overwrites the parent function (but has the same meaning) """
		return True

	def isBiggerGate(self):		
		""" Overwrites the parent function (but has the same meaning) """
		return True