from translator.visitor.DEVSlibrary.Helpers import *

class InteractiveOutput(Helpers):
	def __init__(self, outputs, delay, bitlist):
		Helpers.__init__(self, 1, "interactiveOutput", delay, outputs, [], bitlist)

	def generateTimeAdvance(self):
		string = "\tdef timeAdvance(self):\n"
		string += "\t\treturn " + str(self.delay) + "\n"
		return string

	def generateIntTransition(self):
		string = "\tdef intTransition(self):\n"
		if len(self.inputs) > 0:
			string += "\t\tprint('Got output:')\n"
		for i in self.inputs:
			string += "\t\tprint('" + str(i) + ": ' + str(self.state." + str(i) + "))\n"
		string += "\t\tstate = " + str(self.name) + "State(True"
		for i in self.inputs:
			string += ", self.state." + str(i)
		string += ")\n"
		#string += "\t\tstate.timer = " + str(self.delay) + "\n"
		string += "\t\treturn state\n"
		return string

	def write(self):
		string = self.generateHeader()
		string += self.generateState()
		string += self.generateClassBase()
		string += self.generateTimeAdvance()
		string += self.generateExtTransition()
		string += self.generateIntTransition()
		string += "\tdef outputFnc(self):\n"
		string += "\t\tpass\n"
		return string
