#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.node import Node

class BitExtender(Node):
	""" BitExtender corresponds to the BitExtenderNode of the intermediate tree """

	def __init__(self, name, type, bits):
		""" Constructor """	
		Node.__init__(self, name)	
		self.extensionType = type
		self.input = None
		self.extraInput = None
		self.output = None
		self.inBit = bits	#We need to remember the number of bits of the input