#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.node import Node

class Clock(Node):
	""" Clock corresponds to the ClockBase of the intermediate tree """
	
	def __init__(self, name, high, low):
		""" Constructor """
		Node.__init__(self, name)	
		self.highDuration = high
		self.lowDuration = low
