#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.arithmeticWithoutCarry import ArithmeticWithoutCarry

class Comparator(ArithmeticWithoutCarry):
	""" Comparator corresponds to the Comparator of the intermediate tree """
	
	def __init__(self, name, type):
		""" Constructor """
		ArithmeticWithoutCarry.__init__(self, name)	
		self.numericType = type
		self.secondInput = None
		self.greaterOutput = None
		self.lessOutput = None
