#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.memory import Memory

class Counter(Memory):
	""" Counter corresponds to the Counter of the intermediate tree """
	
	def __init__(self, name, type, maxValue, action, bits):
		""" Constructor """
		Memory.__init__(self, name, type)	
		self.countInput = None
		self.loadInput = None
		self.carryOutput = None
		self.maxValue = maxValue	#We let maxValue be a wire
		self.actionOverflow = action
		self.bits = bits