#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.node import Node

class ImportedCircuit(Node):
	""" ImportedCircuit corresponds to the ImportedCircuitNode of the intermediate tree """
	
	def __init__(self, name, reference):
		""" Constructor """
		Node.__init__(self, name)	
		self.referencedCircuit = reference	#Will be the name of the referenced circuit
		self.inputs = []	#Will have the right wire or input base and the name of the input it references to
		self.outputs = []	#Will have the right wire or output base and the name of the output it references to