#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.node import Node

class Module(Node):
	""" Module corresponds to the Circuit of the intermediate tree 	"""
	
	def __init__(self, name):
		""" Constructor """
		Node.__init__(self, name)	
		self.inputList = []
		self.outputList = []
		self.gateList = []
		self.netList = []
		self.parameterList = []
		self.statementList = []
