#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.node import Node

class PriorityEncoder(Node):
	""" PriorityEncoder corresponds to the PriorityEncoderNode of the intermediate tree """
	
	def __init__(self, name, bits, disabled):
		""" Constructor """
		Node.__init__(self, name)	
		self.inputs = []
		self.output = None
		self.enableInput = None
		self.enableOutput = None
		self.groupOutput = None
		self.outBit = bits
		self.disabled = disabled
