#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.memory import Memory

class Ram(Memory):
	""" Ram corresponds to the Ram of the intermediate tree """
	
	def __init__(self, name, extraNames):
		""" Constructor """
		#Ram doesn't have a trigger type
		Memory.__init__(self, name, "")	
		self.loadInput = None
		self.dataInput = None
		self.selectInput = None
		#The name of the file where we can find the content of the memory and the name of the temporary register that we will need to use
		self.extraNames = extraNames
