#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.node import Node

class ResistingWire(Node):
	""" ResistingWire corresponds to the Connection of the intermediate tree, with a direction 	"""
	
	def __init__(self, name, inputWire, outputWire, direction):	
		""" Constructor """
		self.name = name
		self.inputWire = inputWire	#The input wire is the normal wire 
		self.outputWire = outputWire	#The output wire will be the transformed wire
		self.direction = direction