#!/usr/bin/env python3

from translator.visitor.intermediateVisitor.verilogTree.arithmeticWithoutCarry import ArithmeticWithoutCarry

class Shifter(ArithmeticWithoutCarry):
	""" Shifter corresponds to the Shifter of the intermediate tree """
	
	def __init__(self, name, type):
		""" Constructor """
		ArithmeticWithoutCarry.__init__(self, name)	
		self.shiftType = type
		self.distanceInput = None
		